コンテンツへスキップ

MiniMax H3 Text to Video LoRA

統合

モデルID minimax/h3/text-to-video/lora
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/text-to-video/lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "loras": [
      {
        "path": "https://example.com/your-file.safetensors"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.813 813 APIクレジット このページで実行

APIキーを取得
MiniMax テキストから動画 4K出力5–15 s4Kまで #utility#editing

1~3個の学習済みLoRAアダプターを適用するテキスト・動画変換。6種類のアスペクト比と5~15秒のクリップに対応

MiniMax · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 50000

動画生成用のテキスト指示。

resolution デフォルト 2K

生成する動画の解像度を選択します。2Kと4Kは768Pのベースをアップスケーリングして取得します。480Pまたは768Pを選択するとネイティブ生成を使用します。

aspect_ratio デフォルト 16:9

出力動画のアスペクト比。

デフォルト 5

動画の長さ。秒単位で測定します。

•必須

トランスフォーマーに適用するLoRAアダプターのリスト。

詳細設定 prompt_expansion_mode · target_audio_url · seed · enable_safety_checker
デフォルト balanced

生成前のプロンプト書き換え負荷。より豊かなプロンプトには最大約30秒かかる'quality'、約1秒で結果を得る'fast'を選択します。'balanced'ではリクエストごとに選択され、'disabled'では展開を無効にします。

ファイルをドロップ、または

HTTP(S) URLまたはbase64データURIで指定するオプションの差し替えサウンドトラック。クリップは2秒以上、15 MB以下である必要があります。指定した音声は再生速度を変えずに生成されたサウンドトラックを置き換えます。長い部分は末尾から削除され、短いクリップには動画と一致するよう無音が追加されます。非常に高いサンプルレートでは96 kHzへのリサンプリングが行われる場合があります。

ランダム生成用のシード。省略するとランダムに選択されます。

POST /run/minimax/h3/text-to-video/lora?wait=20 見積もり → $0.813
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/text-to-video/lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "loras": [
      {
        "path": "https://example.com/your-file.safetensors"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

MiniMax H3 Text to Video LoRAについて

最大50,000文字のテキストプロンプトから音声付き動画を生成し、`loras`で指定した1~3個のLoRAアダプターを適用します。`aspect_ratio`は21:9、16:9、4:3、1:1、3:4、9:16から選び、`duration`は5~15秒に設定します。`resolution`は480P~4Kで、2Kと4Kは768Pをベースにアップスケールします。`target_audio_url`でサウンドトラックを指定することもできます。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 50,000文字
動画生成用のテキスト指示。
duration任意
型integer
デフォルト5
5 – 15
動画の長さ。秒単位で測定します。
resolution任意
型enum
デフォルト2K
480P768P2K4K
生成する動画の解像度を選択します。2Kと4Kは768Pのベースをアップスケーリングして取得します。480Pまたは768Pを選択するとネイティブ生成を使用します。
seed任意
型integer | null
ランダム生成用のシード。省略するとランダムに選択されます。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェッカーの有効化。true でチェックを有効にします。
prompt_expansion_mode任意
型string | null
デフォルトbalanced
生成前のプロンプト書き換え負荷。より豊かなプロンプトには最大約30秒かかる'quality'、約1秒で結果を得る'fast'を選択します。'balanced'ではリクエストごとに選択され、'disabled'では展開を無効にします。
target_audio_url任意
型url · audio
HTTP(S) URLまたはbase64データURIで指定するオプションの差し替えサウンドトラック。クリップは2秒以上、15 MB以下である必要があります。指定した音声は再生速度を変えずに生成されたサウンドトラックを置き換えます。長い部分は末尾から削除され、短いクリップには動画と一致するよう無音が追加されます。非常に高いサンプルレートでは96 kHzへのリサンプリングが行われる場合があります。
aspect_ratio任意
型enum
デフォルト16:9
21:916:94:31:13:49:16
出力動画のアスペクト比。
loras必須
型object[]
≤ 3項目
トランスフォーマーに適用するLoRAアダプターのリスト。
loras[].path必須
型string
LoRAウェイトの場所。URLまたはowner/repo形式のHuggingFaceリポジトリIDで指定します。
loras[].weight_name任意
型string | null
`path`で指定したHuggingFaceリポジトリ内の複数のLoRAから選択する場合のみ、LoRAウェイトのファイル名を指定します。
loras[].scale任意
型number
デフォルト1
0 – 4
LoRAの影響度。0.0~4.0の範囲です。
必須

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/h3/text-to-video/lora",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 813,
    "usd": "0.813",
    "charged": 813,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "loras": [
      {
        "path": "https://example.com/your-file.safetensors"
      }
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "expanded_prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}モデルが生成した動画。
expanded_prompt
string | nullモデル用に展開されたプロンプト。展開テキストがない場合はnullです。nullになるのは、展開が無効、展開しても変更がない場合、またはモデルのホストAPI内部で展開が処理された場合です。

その他のモデル: テキストから動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/minimax/h3/text-to-video/lora.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt